﻿@using System.Web.UI.WebControls;
 
<table width="100%" cellspacing="0" cellpadding="0" border="0">
    <tr>
        <td width="72px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Register";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().RadioButtonList(
                setting =>
                {
                    setting.Name = "rbtProblemPartPopup";
                    setting.Properties.Items.Add("New Manifest", 1);
                    //setting.Properties.Items.Add("Existing Manifest", 2);
                    setting.SelectedIndex = 0;
                    setting.Properties.RepeatDirection = RepeatDirection.Horizontal;
                    setting.ControlStyle.Border.BorderStyle = BorderStyle.None;
                    setting.Properties.ClientSideEvents.SelectedIndexChanged = "OnProblemPartTypeSelected";                 
                }
            ).GetHtml()
        </td>
    </tr>
</table>

<div id = "divManifestNoProblemPart" style="display:none;">
    <table>
        <tr>
            <td width="80px">
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Manifest No";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                    textBox =>
                    {
                        textBox.Name = "LRPLDAPHManifestNoText";
                        textBox.Width = Unit.Pixel(120);
                    }).GetHtml()
            </td>
        </tr>
    </table>
</div>

<table border="0">
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td width="80px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Area<b style=\"color:red;\">*</b>";
                    label.EncodeHtml = false;
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td colspan="3">
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "LRPLDAPHAreaText";
                    textBox.Width = Unit.Pixel(120);
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Part No<b style=\"color:red;\">*</b>";
                    label.EncodeHtml = false;
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td colspan="4">   
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "grlPartNo";
                    s.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    s.GridProperties.KeyFieldName = "PartNo;PartName";
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(320);
                    s.GridProperties.CallbackRouteValues = new { Controller = "ProblemPart", Action = "PartNoPartial" };
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.GridProperties.SettingsPager.PageSize = 100;
                    s.DescriptionWidth = Unit.Pixel(330);
                    s.ShowDescription = true;
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "PartNo";
                        c.FieldName = "PartNo";
                        c.Caption = "Part No";
                        c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                        c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "PartName";
                        c.FieldName = "PartName";
                        c.Caption = "Part Name";
                        c.Width = System.Web.UI.WebControls.Unit.Pixel(240);
                        c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    });
                }).Bind(ViewData["PartData"]).GetHtml()
        </td>
        @*<td width="50px"></td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Part Name";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td style="text-align:right;">
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "LRPLDAPHPartNameText";
                    textBox.Width = Unit.Pixel(280);
                }).GetHtml()
        </td>*@
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Quantity";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "LRPLDAPHQtyText";
                    textBox.Width = Unit.Pixel(120);
                    //textBox.Properties.MaskSettings.Mask = "<999>";
                    //textBox.Properties.ClientSideEvents.KeyPress = "IsNumeric";
                }).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Reason";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td style="text-align:right;">
            @Html.DevExpress().ComboBox(
                cmb =>
                {
                    cmb.Name = "LRPLDAPHReasonCombo";
                    cmb.Width = Unit.Pixel(280);
                    cmb.Properties.Items.Add("Shortage");
                    cmb.Properties.Items.Add("Misspart");
                    cmb.Properties.Items.Add("Damage");
                }).GetHtml()
        </td>
    </tr>
</table>
<div style="height:15px"></div> @* row spacing => input control with button control *@
<table cellpadding="0" cellspacing="0" border="0" width="100%">
    <tr>
        <td align="left">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "LRPLDAPHSaveButton";
                    button.Text = "Save";
                    button.Style.Add("display", "inline-table");
                    button.Width = Unit.Pixel(80);
                    button.ClientSideEvents.Click = "OnLRPLDAPHSaveButtonClick";
                }).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "LRPLDAPHAddButton";
                    button.Text = "Add";
                    button.Style.Add("display", "inline-table");
                    button.Width = Unit.Pixel(80);
                    button.ClientSideEvents.Click = "OnLRPLDAPHAddButtonClick";
                }).GetHtml()
        </td>
        <td align="right">
@*            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "LRPLDAPHDeleteButton";
                    button.Text = "Delete";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnLRPLDAPHDeleteButtonClick";
                }).GetHtml()*@
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "LRPLDAPHCancelButton";
                    button.Text = "Cancel";
                    button.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnLRPLDAPHCancelButtonClick";
                }).GetHtml()
        </td>
    </tr>
</table> 
